:li
/*
 * mknoise     by Dennis Flaherty (dennisf@denix.elk.miles.com)
 *
 * Makes white noise of desired length on stdout.
 */

#include <stdlib.h>
#include <stdio.h>
#include <sys/time.h>

void main(int argc, char **argv)
{
    int kb, i;

    if (argc < 2)
    {
        fprintf(stderr, "Usage: mknoise <kbytes>\n");
        exit(1);
    }
    kb = atoi(argv[1]) << 10;

    srandom(time(NULL));

    for (i = 0; i < kb; ++i)
        putchar(random() & 0xff);
}


