

www_li

www_li

www_li

#!/usr/local/bin/perl

$ENV{'PATH'} = "/usr/local/infosystems/WWW/cgi-bin:$ENV{'PATH'}";

# Debugging ein- oder ausschalten ("yes" oder "no"):
$debug = "no";

# Im Debug-Modus Kommandozeile und Umgebungsvariablen ausgeben:
if ($debug =~ /yes/i)
{
    $| = 1;
    print `cgiutils -ct text/html`;
    print "<HTML><HEAD><TITLE>PERL script debugging</TITLE></HEAD><BODY>\n";
    print "<HR><H2>PERL script debugging</H2>\n";
    print "<H3>Command line:</H3>\n";
    print "<P>\n";
    print "<STRONG>argv[0]:</STRONG> $0<BR>\n";
    $i = 0;
    while ($i <= $#ARGV)
    {
	print "<STRONG>argv[${i+1}]:</STRONG> @ARGV[$i]<BR>\n";
	$i++;
    };
    print "</P>\n";
    print "<H3>Environment variables:</H3>\n";
    print "<P>\n";
    @keys = sort (keys (%ENV));
    foreach $i (@keys)
	{print "<STRONG>$i:</STRONG> @ENV{$i}<BR>\n"};
    print "</P>\n";
    print "</BODY></HTML>\n";
};

# Falls der Dokumentname mit einem "/" endet, hnge "Welcome.html" als
# vordefinierten Dateinamen an:
@ENV{'PATH_TRANSLATED'} =~ s|/$|/Welcome.html|;
@ENV{'PATH_INFO'} =~ s|/$|/Welcome.html|;

# $cgi_script enthlt den Dokumentname ohne die Endung ".html":
$cgi_script = @ENV{'PATH_TRANSLATED'};
$cgi_script =~ s/.html$//i;

if ($debug =~ /yes/i)
{
    print ("<P><STRONG>Skriptdatei (ohne Endung):</STRONG> ",
    "$cgi_script<P>\n");
};

# Skripten knnen die folgenden Endungen haben und werden ber die jeweils
# angegebene PERL-Anweisung aufgerufen:
%cgi_calls = ('',     'exec',
              '.cgi', 'exec',
              '.sh',  'exec',
              '.pl',  'do');


# Suche die erste ausfhrbare Datei, die eine in %cgi_calls genannte Endung
# enthlt, und fhre sie aus:
while (($extension, $_) = each (%cgi_calls))
{
    $file = "$cgi_script"."$extension";
    if (-x $file)
    {
	/do/     && (do $file);
	/exec/   && (exec $file);
	/system/ && (system $file);
	exit;
    }
}


# Ausgabe einer Fehlermeldung. Das Skript gelang nur dann
# an diese Stelle, wenn es keine ausfhrbare Datei finden konnte.
print (`cgiutils -ct text/html`,
       "<HTML><HEAD>\n",
       "<TITLE>Error</TITLE>\n",
       "</HEAD><BODY>\n",
       "<H1>Server setup error</H1><UL>\n");

while (($extension, $_) = each (%cgi_calls))
{
    $info = @ENV{'PATH_INFO'};
    $info =~ s/.html$//;
    $file = "$cgi_script"."$extension";
    if (! -e $file)
	{print ("<LI>CGI script <EM>$info$extension</EM>",
	        " does not exist.\n")}
    elsif (-d _)
	{print ("<LI>CGI script <EM>$info$extension</EM>",
	        " is a directory.\n")}
    elsif (! -x _)
	{print ("<LI>CGI script <EM>$info$extension</EM>",
	        " is not executable.\n")}
    elsif (! -r _)
	{print ("<LI>CGI script <EM>$info$extension</EM>",
	        " is not readable.\n")}
}
